PR_GET_MDWE(2const)

NAME
PR_GET_MDWE - get the Memory-Deny-Write-Execute protection mask for the calling process

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_MDWE, 0L, 0L, 0L, 0L);

DESCRIPTION
Return the Memory-Deny-Write-Execute protection mask of the calling process. See PR_SET_MDWE(2const) for information on the protection mask bits.

RETURN VALUE
On success, a nonnegative value is returned. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 6.3.

SEE ALSO
prctl(2), PR_SET_MDWE(2const)